Summary: Spamassassin Milter
Name:    spamass-milter
Version: 0.3.1
Release: 1.%{mysig}
Source:  spamass-milter-%{version}.tar.bz2
Source1: spamass-milter-sysconfig
Patch0:  spamass-milter-0.2.0.nodefaultrun.patch
Patch1:  spamass-milter-0.2.0.umask.patch
URL:     http://savannah.gnu.org/projects/spamass-milt/
License: GPL
Group:   System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: spamassassin sendmail-devel autoconf automake
# Requires sendmail to have milter support, too.
Requires: spamassassin sendmail

%description
A little plugin for the Sendmail Milter (Mail Filter) library that pipes all
incoming mail (including things received by rmail/UUCP) through the
SpamAssassin, a highly customizable SpamFilter.

%prep
%setup -q
%patch0 -p1 -b .nodefrun
%patch1 -p1 -b .umask

%build
%configure
%{__make}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_initrddir} \
         $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
install -m755 contrib/spamass-milter-redhat.rc \
	$RPM_BUILD_ROOT/%{_initrddir}/spamass-milter
install -m644 %{S:1} \
	$RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/spamass-milter

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add spamass-milter

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service spamass-milter condrestart > /dev/null 2>&1
fi

%preun
if [ $1 = 0 ] ; then
    /sbin/service spamass-milter stop >/dev/null 2>&1
    /sbin/chkconfig --del spamass-milter
fi
exit 0

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/sysconfig/spamass-milter
%{_sbindir}/spamass-milter
%{_initrddir}/spamass-milter
%{_mandir}/man1/spamass-milter.1*

%changelog
* Sun Sep 16 2007 Milan Kerslager <kerslage@linux.cz> 0.3.1-1.ker.rhel5
- rebuild for RHEL5

* Tue Oct 31 2006 Milan Kerslager <kerslage@linux.cz> 0.3.1-1.ker.rhel4
- update to fix a problem with CRCRLF

* Wed Aug 10 2005 Milan Kerslager <kerslage@linux.cz> 0.3.0-1.ker.rhel3
- rebuild for RHEL3

* Fri Mar 04 2005 Milan Kerslager <kerslage@linux.cz> 0.3.0-1.ker.rhel4
- updated to the latest release
- rebuild for RHEL4

* Fri Sep 24 2004 Milan Kerslager <kerslage@linux.cz> 0.2.0-5.20040924.ker.rhel3
- updated to latest CVS to support Spamassassin 3.0.0

* Thu Dec 11 2003 Milan Kerslager <kerslage@linux.cz> 0.2.0-4.20031024_WB3
- umask to init script

* Tue Dec 09 2003 Milan Kerslager <kerslage@linux.cz> 0.2.0-3.9.20031024
- default sysconfig file added

* Mon Oct 27 2003 Milan Kerslager <kerslage@linux.cz> 0.2.0-2.9.20031024
- null message body causes crash of filter -> update to CVS version

* Sun Oct  5 2003 Milan Kerslager <kerslage@linux.cz> 0.2.0-2.9
- SPEC file fixes
- spamass-milter is not run by default

* Sat Aug  9 2003 Milan Kerslager <kerslage@linux.cz> 0.2.0-1.9
- rebuild for RH 8.0 and 9

* Mon Aug 19 2002 Fritz Elfert <fritz.elfert@to.com>
- Use RPM macros everywhere (this fixes install of manpage)
- Changed Group to an official group of RedHat
- Added preun and post scriptlets
- Made clean scriptlet foolproof
- Added condrestart to redhat rc script
